## py7zr 0.11.3+dfsg

=== docs/Makefile ===
# Makefile for Sphinx documentation
#

# You can set these variables from the command line.
SPHINXOPTS    =
SPHINXBUILD   = sphinx-build
PAPER         =
BUILDDIR      = ../build/docs

# User-friendly check for sphinx-build
ifeq ($(shell which $(SPHINXBUILD) >/dev/null 2>&1; echo $$?), 1)
$(error The '$(SPHINXBUILD)' command was not found. Make sure you have Sphinx installed, then set the SPHINXBUILD environment variable to point to the full path of the '$(SPHINXBUILD)' executable. Alternatively you can add the directory with the executable to your PATH. If you don't have Sphinx installed, grab it from http://sphinx-doc.org/)
endif

# Internal variables.
PAPEROPT_a4     = -D latex_paper_size=a4
PAPEROPT_letter = -D latex_paper_size=letter
ALLSPHINXOPTS   = -d $(BUILDDIR)/doctrees $(PAPEROPT_$(PAPER)) $(SPHINXOPTS) .
# the i18n builder cannot share the environment and doctrees with the others
I18NSPHINXOPTS  = $(PAPEROPT_$(PAPER)) $(SPHINXOPTS) .

.PHONY: help
help:
	@echo "Please use \`make <target>' where <target> is one of"
	@echo "  html       to make standalone HTML files"
	@echo "  dirhtml    to make HTML files named index.html in directories"
	@echo "  singlehtml to make a single large HTML file"
	@echo "  pickle     to make pickle files"
	@echo "  json       to make JSON files"
	@echo "  htmlhelp   to make HTML files and a HTML help project"
	@echo "  qthelp     to make HTML files and a qthelp project"
	@echo "  applehelp  to make an Apple Help Book"
	@echo "  devhelp    to make HTML files and a Devhelp project"
	@echo "  epub       to make an epub"
	@echo "  latex      to make LaTeX files, you can set PAPER=a4 or PAPER=letter"
	@echo "  latexpdf   to make LaTeX files and run them through pdflatex"
	@echo "  latexpdfja to make LaTeX files and run them through platex/dvipdfmx"
	@echo "  text       to make text files"
	@echo "  man        to make manual pages"
	@echo "  texinfo    to make Texinfo files"
	@echo "  info       to make Texinfo files and run them through makeinfo"
	@echo "  gettext    to make PO message catalogs"
	@echo "  changes    to make an overview of all changed/added/deprecated items"
	@echo "  xml        to make Docutils-native XML files"
	@echo "  pseudoxml  to make pseudoxml-XML files for display purposes"
	@echo "  linkcheck  to check all external links for integrity"
	@echo "  doctest    to run all doctests embedded in the documentation (if enabled)"
	@echo "  coverage   to run coverage check of the documentation (if enabled)"

.PHONY: clean
clean:
	rm -rf $(BUILDDIR)/*

.PHONY: html
html:
	$(SPHINXBUILD) -b html $(ALLSPHINXOPTS) $(BUILDDIR)/html
	@echo
	@echo "Build finished. The HTML pages are in $(BUILDDIR)/html."

.PHONY: dirhtml
dirhtml:
	$(SPHINXBUILD) -b dirhtml $(ALLSPHINXOPTS) $(BUILDDIR)/dirhtml
	@echo
	@echo "Build finished. The HTML pages are in $(BUILDDIR)/dirhtml."

.PHONY: singlehtml
singlehtml:
	$(SPHINXBUILD) -b singlehtml $(ALLSPHINXOPTS) $(BUILDDIR)/singlehtml
	@echo
	@echo "Build finished. The HTML page is in $(BUILDDIR)/singlehtml."

.PHONY: pickle
pickle:
	$(SPHINXBUILD) -b pickle $(ALLSPHINXOPTS) $(BUILDDIR)/pickle
	@echo
	@echo "Build finished; now you can process the pickle files."

.PHONY: json
json:
	$(SPHINXBUILD) -b json $(ALLSPHINXOPTS) $(BUILDDIR)/json
	@echo
	@echo "Build finished; now you can process the JSON files."

.PHONY: htmlhelp
htmlhelp:
	$(SPHINXBUILD) -b htmlhelp $(ALLSPHINXOPTS) $(BUILDDIR)/htmlhelp
	@echo
	@echo "Build finished; now you can run HTML Help Workshop with the" \
	      ".hhp project file in $(BUILDDIR)/htmlhelp."

.PHONY: qthelp
qthelp:
	$(SPHINXBUILD) -b qthelp $(ALLSPHINXOPTS) $(BUILDDIR)/qthelp
	@echo
	@echo "Build finished; now you can run "qcollectiongenerator" with the" \
	      ".qhcp project file in $(BUILDDIR)/qthelp, like this:"
	@echo "# qcollectiongenerator $(BUILDDIR)/qthelp/py7zr.qhcp"
	@echo "To view the help file:"
	@echo "# assistant -collectionFile $(BUILDDIR)/qthelp/py7zr.qhc"

.PHONY: applehelp
applehelp:
	$(SPHINXBUILD) -b applehelp $(ALLSPHINXOPTS) $(BUILDDIR)/applehelp
	@echo
	@echo "Build finished. The help book is in $(BUILDDIR)/applehelp."
	@echo "N.B. You won't be able to view it unless you put it in" \
	      "~/Library/Documentation/Help or install it in your application" \
	      "bundle."

.PHONY: devhelp
devhelp:
	$(SPHINXBUILD) -b devhelp $(ALLSPHINXOPTS) $(BUILDDIR)/devhelp
	@echo
	@echo "Build finished."
	@echo "To view the help file:"
	@echo "# mkdir -p $$HOME/.local/share/devhelp/py7zr"
	@echo "# ln -s $(BUILDDIR)/devhelp $$HOME/.local/share/devhelp/py7zr"
	@echo "# devhelp"

.PHONY: epub
epub:
	$(SPHINXBUILD) -b epub $(ALLSPHINXOPTS) $(BUILDDIR)/epub
	@echo
	@echo "Build finished. The epub file is in $(BUILDDIR)/epub."

.PHONY: latex
latex:
	$(SPHINXBUILD) -b latex $(ALLSPHINXOPTS) $(BUILDDIR)/latex
	@echo
	@echo "Build finished; the LaTeX files are in $(BUILDDIR)/latex."
	@echo "Run \`make' in that directory to run these through (pdf)latex" \
	      "(use \`make latexpdf' here to do that automatically)."

.PHONY: latexpdf
latexpdf:
	$(SPHINXBUILD) -b latex $(ALLSPHINXOPTS) $(BUILDDIR)/latex
	@echo "Running LaTeX files through pdflatex..."
	$(MAKE) -C $(BUILDDIR)/latex all-pdf
	@echo "pdflatex finished; the PDF files are in $(BUILDDIR)/latex."

.PHONY: latexpdfja
latexpdfja:
	$(SPHINXBUILD) -b latex $(ALLSPHINXOPTS) $(BUILDDIR)/latex
	@echo "Running LaTeX files through platex and dvipdfmx..."
	$(MAKE) -C $(BUILDDIR)/latex all-pdf-ja
	@echo "pdflatex finished; the PDF files are in $(BUILDDIR)/latex."

.PHONY: text
text:
	$(SPHINXBUILD) -b text $(ALLSPHINXOPTS) $(BUILDDIR)/text
	@echo
	@echo "Build finished. The text files are in $(BUILDDIR)/text."

.PHONY: man
man:
	$(SPHINXBUILD) -b man $(ALLSPHINXOPTS) $(BUILDDIR)/man
	@echo
	@echo "Build finished. The manual pages are in $(BUILDDIR)/man."

.PHONY: texinfo
texinfo:
	$(SPHINXBUILD) -b texinfo $(ALLSPHINXOPTS) $(BUILDDIR)/texinfo
	@echo
	@echo "Build finished. The Texinfo files are in $(BUILDDIR)/texinfo."
	@echo "Run \`make' in that directory to run these through makeinfo" \
	      "(use \`make info' here to do that automatically)."

.PHONY: info
info:
	$(SPHINXBUILD) -b texinfo $(ALLSPHINXOPTS) $(BUILDDIR)/texinfo
	@echo "Running Texinfo files through makeinfo..."
	make -C $(BUILDDIR)/texinfo info
	@echo "makeinfo finished; the Info files are in $(BUILDDIR)/texinfo."

.PHONY: gettext
gettext:
	$(SPHINXBUILD) -b gettext $(I18NSPHINXOPTS) $(BUILDDIR)/locale
	@echo
	@echo "Build finished. The message catalogs are in $(BUILDDIR)/locale."

.PHONY: changes
changes:
	$(SPHINXBUILD) -b changes $(ALLSPHINXOPTS) $(BUILDDIR)/changes
	@echo
	@echo "The overview file is in $(BUILDDIR)/changes."

.PHONY: linkcheck
linkcheck:
	$(SPHINXBUILD) -b linkcheck $(ALLSPHINXOPTS) $(BUILDDIR)/linkcheck
	@echo
	@echo "Link check complete; look for any errors in the above output " \
	      "or in $(BUILDDIR)/linkcheck/output.txt."

.PHONY: doctest
doctest:
	$(SPHINXBUILD) -b doctest $(ALLSPHINXOPTS) $(BUILDDIR)/doctest
	@echo "Testing of doctests in the sources finished, look at the " \
	      "results in $(BUILDDIR)/doctest/output.txt."

.PHONY: coverage
coverage:
	$(SPHINXBUILD) -b coverage $(ALLSPHINXOPTS) $(BUILDDIR)/coverage
	@echo "Testing of coverage in the sources finished, look at the " \
	      "results in $(BUILDDIR)/coverage/python.txt."

.PHONY: xml
xml:
	$(SPHINXBUILD) -b xml $(ALLSPHINXOPTS) $(BUILDDIR)/xml
	@echo
	@echo "Build finished. The XML files are in $(BUILDDIR)/xml."

.PHONY: pseudoxml
pseudoxml:
	$(SPHINXBUILD) -b pseudoxml $(ALLSPHINXOPTS) $(BUILDDIR)/pseudoxml
	@echo
	@echo "Build finished. The pseudo-XML files are in $(BUILDDIR)/pseudoxml."

## py7zr 0.11.3%2Bdfsg

=== debian/control ===
Source: py7zr
Section: python
Priority: optional
Maintainer: Ubuntu Developers <ubuntu-devel-discuss@lists.ubuntu.com>
XSBC-Original-Maintainer: Sandro Tosi <morph@debian.org>
Uploaders: Debian Python Team <team+python@tracker.debian.org>,
Build-Depends: debhelper-compat (= 13),
               pybuild-plugin-pyproject,
               python3-all-dev,
               python3-pep517,
               python3-pyannotate <!nocheck>,
               python3-pycryptodome <!nocheck>,
               python3-pytest <!nocheck>,
               python3-pytest-benchmark <!nocheck>,
               python3-pytest-cov <!nocheck>,
               python3-setuptools,
               python3-setuptools-scm,
               python3-sphinx <!nodoc>,
               python3-sphinx-a4doc <!nodoc>,
               python3-texttable <!nocheck>,
               python3-wheel,
Standards-Version: 4.5.1
Homepage: https://github.com/miurahr/py7zr
Vcs-Git: https://salsa.debian.org/python-team/packages/py7zr.git
Vcs-Browser: https://salsa.debian.org/python-team/packages/py7zr

Package: python3-py7zr
Architecture: any
Depends: python3-pycryptodome,
         ${misc:Depends},
         ${python3:Depends},
         ${shlibs:Depends},
Recommends: ${python3:Recommends},
Suggests: ${python3:Suggests},
Description: pure Python 7-zip library
 py7zr is a library and command-line utility to support 7zip archive
 compression, decompression, encryption and decryption.

Package: python-py7zr-doc
Architecture: all
Section: doc
Depends: ${misc:Depends},
         ${sphinxdoc:Depends},
Description: pure Python 7-zip library (documentation)
 py7zr is a library and command-line utility to support 7zip archive
 compression, decompression, encryption and decryption.
 .
 This package contains the documentaion for py7zr

## py7zr 0.11.3+dfsg

=== debian/changelog ===
py7zr (0.11.3+dfsg-8build1) noble; urgency=medium

  * No-change rebuild for CVE-2024-3094

 -- Steve Langasek <steve.langasek@ubuntu.com>  Sun, 31 Mar 2024 17:02:45 +0000

py7zr (0.11.3+dfsg-8) unstable; urgency=medium

  * orphan

 -- Sandro Tosi <morph@debian.org>  Fri, 01 Mar 2024 20:56:25 -0500

py7zr (0.11.3+dfsg-7) unstable; urgency=medium

  [ YOKOTA Hiroshi ]
  * Disable pyannotate in test code
    pyannotate uses lib2to3 that will be drops in Python 3.13.

  [ Sandro Tosi ]
  * stop building the -doc package
  * debian/rules
    - skip tests by setting PYBUILD_TEST_ARGS
  * run autopkgtests via autopkgtest-pkg-pybuild

 -- Sandro Tosi <morph@debian.org>  Tue, 30 Jan 2024 04:16:44 -0500

py7zr (0.11.3+dfsg-6) unstable; urgency=medium

  [ Scott Kitterman ]
  * Drop build-depends on python3-pep517, deprecated, no longer needed;
    Closes: #1042965

 -- Sandro Tosi <morph@debian.org>  Tue, 15 Aug 2023 12:44:42 -0400

py7zr (0.11.3+dfsg-5) unstable; urgency=medium

  [ YOKOTA Hiroshi ]
  * debian/patches/0003-Fix-sanity-check-for-path-traversal-attack.patch
    - backport upstream fix for CVE-2022-44900; Closes: #1032091

 -- Sandro Tosi <morph@debian.org>  Sat, 25 Mar 2023 18:50:07 -0400

py7zr (0.11.3+dfsg-4) unstable; urgency=medium

  [ Stefano Rivera ]
  * debian/control
    - dh-python-pep517 is replaced by pybuild-plugin-pyproject

 -- Sandro Tosi <morph@debian.org>  Tue, 08 Feb 2022 13:10:53 -0500

py7zr (0.11.3+dfsg-3) unstable; urgency=medium

  * Use setuptools PEP517 backend to build the package

 -- Sandro Tosi <morph@debian.org>  Thu, 16 Dec 2021 21:15:39 -0500

py7zr (0.11.3+dfsg-2) unstable; urgency=medium

  * debian/patches/23a138a9c12ca713123ff7594a2059bfb67a6d5f.patch
    - update cli tests for python 3.10; Closes: #1000274

 -- Sandro Tosi <morph@debian.org>  Mon, 29 Nov 2021 22:09:34 -0500

py7zr (0.11.3+dfsg-1) unstable; urgency=medium

  * New upstream release
  * debian/patches/ctime-to-mtime.patch
    - drop patch, applied upstream

 -- Sandro Tosi <morph@debian.org>  Wed, 27 Jan 2021 01:07:19 -0500

py7zr (0.11.1+dfsg-2) unstable; urgency=medium

  * debian/control
    - add pycryptodome to Depends; Closes: #979985

 -- Sandro Tosi <morph@debian.org>  Tue, 12 Jan 2021 11:27:50 -0500

py7zr (0.11.1+dfsg-1) unstable; urgency=medium

  * New upstream release
  * Use the new Debian Python Team contact name and address

 -- Sandro Tosi <morph@debian.org>  Wed, 06 Jan 2021 23:05:30 -0500

py7zr (0.11.0+dfsg-4) unstable; urgency=medium

  * source-only upload, after passing thru NEW

 -- Sandro Tosi <morph@debian.org>  Thu, 24 Dec 2020 21:07:10 -0500

py7zr (0.11.0+dfsg-3) unstable; urgency=medium

  * build a -doc package
  * debian/control
    - bump Standards-Version to 4.5.1 (no changes needed)

 -- Sandro Tosi <morph@debian.org>  Thu, 24 Dec 2020 00:30:42 -0500

py7zr (0.11.0+dfsg-2) unstable; urgency=medium

  * Run tests, excluding the ones failing due to our setup
  * Use Pycryptodome, which is what upstream intended to use
  * Tests for mtime and not ctime

 -- Sandro Tosi <morph@debian.org>  Wed, 09 Dec 2020 00:37:07 -0500

py7zr (0.11.0+dfsg-1) unstable; urgency=medium

  * Initial release; Closes: #974183

 -- Sandro Tosi <morph@debian.org>  Thu, 19 Nov 2020 22:24:06 -0500

=== debian/control ===
Source: py7zr
Section: python
Priority: optional
Maintainer: Ubuntu Developers <ubuntu-devel-discuss@lists.ubuntu.com>
XSBC-Original-Maintainer: Debian Python Team <team+python@tracker.debian.org>,
Build-Depends: debhelper-compat (= 13),
               pybuild-plugin-pyproject,
               python3-all-dev,
               python3-pycryptodome <!nocheck>,
               python3-pytest <!nocheck>,
               python3-pytest-benchmark <!nocheck>,
               python3-pytest-cov <!nocheck>,
               python3-setuptools,
               python3-setuptools-scm,
               python3-texttable <!nocheck>,
               python3-wheel,
Standards-Version: 4.6.2
Homepage: https://github.com/miurahr/py7zr
Vcs-Git: https://salsa.debian.org/python-team/packages/py7zr.git
Vcs-Browser: https://salsa.debian.org/python-team/packages/py7zr
Testsuite: autopkgtest-pkg-pybuild

Package: python3-py7zr
Architecture: any
Depends: python3-pycryptodome,
         ${misc:Depends},
         ${python3:Depends},
         ${shlibs:Depends},
Recommends: ${python3:Recommends},
Suggests: ${python3:Suggests},
Description: pure Python 7-zip library
 py7zr is a library and command-line utility to support 7zip archive
 compression, decompression, encryption and decryption.

=== debian/rules ===
#! /usr/bin/make -f

export PYBUILD_NAME=py7zr

# test_compress_* require tests/data/lib, which we removed due to missing copyright
# test_concurrent_futures tries to access internet
# test_bcj_* uses binary files removed dues to missing copyright
# test_cli, test_archive_already_exist, test_volume_creation_wrong_volume_unit uses importlib_metadata which requires an egg-info dir, which we cant build (bdist_egg) because setuptools_scm cant detect a version
export PYBUILD_TEST_ARGS=-k "not test_compress_arm64 \
			  and not test_compress_ppc \
			  and not test_compress_ia64 \
			  and not test_compress_sparc \
			  and not test_compress_armt \
			  and not test_concurrent_futures \
			  and not test_bcj_encode \
			  and not test_bcj_decode \
			  and not test_cli_no_subcommand \
			  and not test_cli_info \
			  and not test_archive_already_exist \
			  and not test_volume_creation_wrong_volume_unit \
			  "

%:
	dh $@ --with python3 --buildsystem=pybuild

## py7zr 0.21.1+dfsg

=== debian/changelog ===
py7zr (0.21.1+dfsg-1) unstable; urgency=medium

  * New upstream version 0.21.1+dfsg
  * Update copyright years to 2024

 -- YOKOTA Hiroshi <yokota.hgml@gmail.com>  Thu, 04 Jul 2024 02:30:02 +0900

py7zr (0.21.0+dfsg-2) unstable; urgency=medium

  * Use timeout and remote_data plugin for pytest

 -- YOKOTA Hiroshi <yokota.hgml@gmail.com>  Wed, 03 Jul 2024 12:31:19 +0900

py7zr (0.21.0+dfsg-1) unstable; urgency=medium

  [ Andreas Tille ]
  * New upstream version
    (all patches applied)
  * Rules-Requires-Root: no (routine-update)
  * Set upstream metadata fields: Bug-Database, Bug-Submit, Repository.

  [ YOKOTA Hiroshi ]
  * Add myself as uploader (Closes: #1065221)
  * Standards-Version: 4.7.0 (routine-update)
  * Lintian fix
  * Use relax watch file format
  * Add manual page

 -- YOKOTA Hiroshi <yokota.hgml@gmail.com>  Sun, 12 May 2024 18:55:50 +0900

## py7zr 0.22.0%2Bdfsg

=== debian/changelog ===
py7zr (0.22.0+dfsg-1) unstable; urgency=medium

  * New upstream version 0.22.0+dfsg

 -- YOKOTA Hiroshi <yokota.hgml@gmail.com>  Fri, 09 Aug 2024 14:08:17 +0900

## py7zr 0.22.0+dfsg

=== debian/control ===
Source: py7zr
Section: python
Priority: optional
Maintainer: Debian Python Team <team+python@tracker.debian.org>
Uploaders: YOKOTA Hiroshi <yokota.hgml@gmail.com>
Build-Depends: debhelper-compat (= 13),
               dh-sequence-python3,
               pybuild-plugin-pyproject,
               python3-all,
               python3-pycryptodome <!nocheck>,
               python3-pytest <!nocheck>,
               python3-pytest-benchmark <!nocheck>,
               python3-pytest-cov <!nocheck>,
               python3-pytest-remotedata <!nocheck>,
               python3-pytest-timeout <!nocheck>,
               python3-setuptools,
               python3-setuptools-scm,
               python3-texttable <!nocheck>,
               python3-wheel,
               python3-brotli,
               python3-brotlicffi,
               python3-multivolumefile,
               python3-pyppmd,
               python3-pyzstd,
               python3-bcj,
               python3-inflate64,
               python3-psutil,
Standards-Version: 4.7.0
Homepage: https://github.com/miurahr/py7zr
Rules-Requires-Root: no
Vcs-Git: https://salsa.debian.org/python-team/packages/py7zr.git
Vcs-Browser: https://salsa.debian.org/python-team/packages/py7zr
Testsuite: autopkgtest-pkg-pybuild

Package: python3-py7zr
Architecture: all
Depends: ${misc:Depends},
         ${python3:Depends},
Description: pure Python 7-zip library
 py7zr is a library and command-line utility to support 7zip archive
 compression, decompression, encryption and decryption.

## py7zr 1.0.0%2Bdfsg1

=== debian/changelog ===
py7zr (1.0.0+dfsg1-5) unstable; urgency=medium

  * Upgrade Debian standards to 4.7.3
  * Lintian fix: redundant-rules-requires-root-no-field

 -- YOKOTA Hiroshi <yokota.hgml@gmail.com>  Sun, 28 Dec 2025 04:29:45 +0900

py7zr (1.0.0+dfsg1-4) unstable; urgency=medium

  * Disable fragile test: test_compress_files_deref_loop

 -- YOKOTA Hiroshi <yokota.hgml@gmail.com>  Mon, 24 Nov 2025 12:36:00 +0900

py7zr (1.0.0+dfsg1-3) unstable; urgency=medium

  * Drop Emacs mode line from debian/watch

 -- YOKOTA Hiroshi <yokota.hgml@gmail.com>  Mon, 29 Sep 2025 22:35:58 +0900

py7zr (1.0.0+dfsg1-2) unstable; urgency=medium

  * Use V5 format for watch file
  * Use local configuration file for salsa CI

 -- YOKOTA Hiroshi <yokota.hgml@gmail.com>  Sun, 24 Aug 2025 02:02:38 +0900

py7zr (1.0.0+dfsg1-1) unstable; urgency=medium

  * Drop unused Java tool
  * Rebuild upstream source tree with new debian/copyright
  * New upstream version 1.0.0+dfsg1
  * Upgrade Debian policy to 4.7.2
  * Add required module for unit test

 -- YOKOTA Hiroshi <yokota.hgml@gmail.com>  Sun, 17 Aug 2025 05:01:12 +0900

## py7zr 1.0.0+dfsg1

=== debian/changelog ===
py7zr (1.0.0+dfsg1-3~bpo13+1) trixie-backports; urgency=medium

  * Rebuild for trixie-backports.

 -- Nicholas D Steeves <sten@debian.org>  Fri, 07 Nov 2025 20:17:58 -0500

=== debian/control ===
--- 
+++ 
@@ -11,6 +11,7 @@
                python3-pytest <!nocheck>,
                python3-pytest-benchmark <!nocheck>,
                python3-pytest-cov <!nocheck>,
+               python3-pytest-httpserver <!nocheck>,
                python3-pytest-remotedata <!nocheck>,
                python3-pytest-timeout <!nocheck>,
                python3-setuptools,
@@ -25,7 +26,8 @@
                python3-bcj,
                python3-inflate64,
                python3-psutil,
-Standards-Version: 4.7.0
+               python3-requests <!nocheck>,
+Standards-Version: 4.7.2
 Homepage: https://github.com/miurahr/py7zr
 Rules-Requires-Root: no
 Vcs-Git: https://salsa.debian.org/python-team/packages/py7zr.git

=== debian/rules ===
--- 
+++ 
@@ -21,4 +21,4 @@
 			  "
 
 %:
-	dh $@ --with python3 --buildsystem=pybuild
+	dh $@ --buildsystem=pybuild

## py7zr 1.1.0+dfsg

=== debian/changelog ===
py7zr (1.1.0+dfsg-1~exp1) experimental; urgency=medium

  * New upstream version 1.1.0+dfsg
  * Replace zstd module
  * Use 7zip for test
  * Cosmetic fix
  * Prefer BrotliCFFI than Brotli
  * Use Brotli >= 1.2.0
  * Sort build-depends lines
  * Current Debian dose not have python3-backports.zstd module
  * Lintian fix: redundant-rules-requires-root-no-field
  * Manually set python3:Depends for brotli
  * Make Debian's own dependencies list for Brotli

 -- YOKOTA Hiroshi <yokota.hgml@gmail.com>  Fri, 26 Dec 2025 13:20:18 +0900

=== debian/control ===
Source: py7zr
Section: python
Priority: optional
Maintainer: Debian Python Team <team+python@tracker.debian.org>
Uploaders: YOKOTA Hiroshi <yokota.hgml@gmail.com>
Build-Depends:
  debhelper-compat (= 13),
  7zip <!nocheck>,
  dh-sequence-python3,
  pybuild-plugin-pyproject,
  python3-all,
  python3-bcj,
  python3-brotlicffi (>= 1.2.0.0) | python3-brotli (>= 1.2.0),
  python3-inflate64,
  python3-multivolumefile,
  python3-psutil,
  python3-pycryptodome <!nocheck>,
  python3-pyppmd,
  python3-pytest <!nocheck>,
  python3-pytest-benchmark <!nocheck>,
  python3-pytest-cov <!nocheck>,
  python3-pytest-httpserver <!nocheck>,
  python3-pytest-remotedata <!nocheck>,
  python3-pytest-timeout <!nocheck>,
  python3-requests <!nocheck>,
  python3-setuptools,
  python3-setuptools-scm,
  python3-texttable <!nocheck>,
  python3-wheel,
Standards-Version: 4.7.2
Homepage: https://github.com/miurahr/py7zr
Vcs-Git: https://salsa.debian.org/python-team/packages/py7zr.git
Vcs-Browser: https://salsa.debian.org/python-team/packages/py7zr
Testsuite: autopkgtest-pkg-pybuild
X-Python3-Version: 3.14

Package: python3-py7zr
Architecture: all
Depends:
  python3-brotlicffi (>= 1.2.0.0) | python3-brotli (>= 1.2.0),
  ${python3:Depends},
  ${misc:Depends},
Description: pure Python 7-zip library
 py7zr is a library and command-line utility to support 7zip archive
 compression, decompression, encryption and decryption.

## py7zr 1.1.2+dfsg

=== debian/changelog ===
py7zr (1.1.2+dfsg-1) unstable; urgency=medium

  * Rediff patches
  * Restore Brotli library priority order
  * Drop dependecy hack
  * Allow Python 3.13
  * Import zstd module for Python 3.13

 -- YOKOTA Hiroshi <yokota.hgml@gmail.com>  Fri, 06 Feb 2026 19:56:28 +0900

py7zr (1.1.2+dfsg-1~exp1) experimental; urgency=medium

  * New upstream version 1.1.2+dfsg

 -- YOKOTA Hiroshi <yokota.hgml@gmail.com>  Thu, 22 Jan 2026 03:07:35 +0900

=== debian/control ===
--- 
+++ 
@@ -1,6 +1,5 @@
 Source: py7zr
 Section: python
-Priority: optional
 Maintainer: Debian Python Team <team+python@tracker.debian.org>
 Uploaders: YOKOTA Hiroshi <yokota.hgml@gmail.com>
 Build-Depends:
@@ -9,8 +8,10 @@
   dh-sequence-python3,
   pybuild-plugin-pyproject,
   python3-all,
+  python3-backports.zstd | python3-supported-min (>= 3.14),
   python3-bcj,
-  python3-brotlicffi (>= 1.2.0.0) | python3-brotli (>= 1.2.0),
+  python3-brotli (>= 1.2.0),
+  python3-brotlicffi (>= 1.2.0.0),
   python3-inflate64,
   python3-multivolumefile,
   python3-psutil,
@@ -27,17 +28,15 @@
   python3-setuptools-scm,
   python3-texttable <!nocheck>,
   python3-wheel,
-Standards-Version: 4.7.2
+Standards-Version: 4.7.3
 Homepage: https://github.com/miurahr/py7zr
 Vcs-Git: https://salsa.debian.org/python-team/packages/py7zr.git
 Vcs-Browser: https://salsa.debian.org/python-team/packages/py7zr
 Testsuite: autopkgtest-pkg-pybuild
-X-Python3-Version: 3.14
 
 Package: python3-py7zr
 Architecture: all
 Depends:
-  python3-brotlicffi (>= 1.2.0.0) | python3-brotli (>= 1.2.0),
   ${python3:Depends},
   ${misc:Depends},
 Description: pure Python 7-zip library

=== debian/rules ===
--- 
+++ 
@@ -6,6 +6,7 @@
 # test_concurrent_futures tries to access internet
 # test_bcj_* uses binary files removed dues to missing copyright
 # test_cli, test_archive_already_exist, test_volume_creation_wrong_volume_unit uses importlib_metadata which requires an egg-info dir, which we cant build (bdist_egg) because setuptools_scm cant detect a version
+# test_compress_files_deref_loop uses symlink loop to provide test target file that sometimes break test system
 export PYBUILD_TEST_ARGS=-k "not test_compress_arm64 \
 			  and not test_compress_ppc \
 			  and not test_compress_ia64 \
@@ -18,6 +19,7 @@
 			  and not test_cli_info \
 			  and not test_archive_already_exist \
 			  and not test_volume_creation_wrong_volume_unit \
+			  and not test_compress_files_deref_loop \
 			  "
 
 %:
